
#include <stdio.h>
#ifdef _CIVL
#include <stdlib.h>
#include <math.h>
#endif

// For the CUDA runtime routines (prefixed with "cuda_")
#ifdef _CIVL
#include <cuda.h>
#else
#include <cuda_runtime.h>
#endif

int N;

__global__ void add(int *a, int *b, int *c)
{
	int tid = blockIdx.x;
	if (tid < N) c[tid] = a[tid] + b[tid];
}

/**
 * Host main routine
 */
int
main(void)
{
	int *a = NULL;
	int *b = NULL;
	int *c = NULL;
	dim3 blocksPerGrid = {0, 1, 1};
	dim3 threadsPerBlock = {0, 1, 1};
	cudaStream_t stream = NULL;
	add<<<blocksPerGrid,threadsPerBlock,0,stream>>>(a, b, c);
}
